Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.portal.tools.portal.controls
Interface PageDefinitionControl

All Superinterfaces
  Serializable

    @ControlInterface
    public interface PageDefinitionControl

extends Serializable

A custom control interface used to interact with PageDefinitions.

Method Summary
`void` | `addPlaceableToPageDefinition(PlaceableDefinitionId placeableId, int placeholder, int position, PageDefinitionId pageId, ResourceContext context)` Adds an existing book or portlet to the specified page definition.
`PageDefinition` | `createPageDefinition(String title, String description, LayoutDefinitionId layoutId, boolean isHidden, boolean isPublic, String webapp, ResourceContext context)` The method is used to create a page definition.
`PageDefinition` | `createPageDefinition(String title, String description, LayoutDefinitionId layoutId, boolean isPublic, String webapp, ResourceContext context)` The method is used to create a page definition.
`void` | `deletePageDefinition(PageDefinitionId id, boolean cascadeDelete, ResourceContext context)` Deletes a PageDefinition This method attempts to clean up all related security policies on the deleted Page.
`PageDefinition` | `getPageDefinition(PageDefinitionId id, ResourceContext context)` Get a specific page definition object.
`PageDefinition` | `getPageDefinition(String definitionLabel, String webAppName, ResourceContext context)` Getter for returning a single `PageDefinition` object given a supplied page definition label.
`SortableFilterablePagedResult<PageDefinition>` | `getPageDefinitions(int pageSize, PageSearchCriteria criteria, ResourceContext context)` Gets an Iterator of page definitions.
`PageView` | `getPageView(PageDefinitionId id, ResourceContext context)` Gets a deep immutable view of a page view.
`PageView` | `getPageView(String definitionLabel, String webAppName, ResourceContext context)` Returns the `PageView` of the specified page.
`boolean` | `isPlaceholderLocked(int placeholder, PageDefinitionId pageId, String webApp, ResourceContext context)` Returns true if the placeholder has an update security policy on it.
`void` | `movePlaceableInPageDefinition(PlaceableInstanceId placeableId, int placeholder, int position, PageDefinitionId pageId, ResourceContext context)` Used to change the position of a book or portlet in a page.
`void` | `removePlaceableFromPageDefinition(PlaceableInstanceId placeableId, PageDefinitionId pageId, ResourceContext context)` Removes a book or portlet from a page definition.
`void` | `removePlaceholderLock(int placeholder, PageDefinitionId pageId, String webApp, ResourceContext context)` Removes the update security policy on a placeholder.
`void` | `setPlaceholderLock(int placeholder, PageDefinitionId pageId, String webApp, ResourceContext context)` Creates an update secuity policy on a placholder.
`void` | `updatePageDefinitionLayout(LayoutDefinitionId layoutId, PageDefinitionId pageId, ResourceContext context)` Updates the layout of the page definition.
`void` | `updatePageDefinitionTheme(ThemeDefinitionId themeId, PageDefinitionId pageId, boolean isHidden, ResourceContext context)` Updates the page definition's theme.
`void` | `updatePageDefinitionTheme(ThemeDefinitionId themeId, PageDefinitionId pageId, ResourceContext context)` Updates the page definition's theme.

Method Detail

### getPageDefinitions

    SortableFilterablePagedResult<PageDefinition> getPageDefinitions(int pageSize,
                                                                     PageSearchCriteria criteria,
                                                                     ResourceContext context)
                                                                     throws ToolsException

  Gets an Iterator of page definitions.

  Parameters
    `pageSize` - The max size of one page in the result set.
    `criteria` - the criteria to use in the search, including web application name.
    `context` - the resource context
  Returns
    A PagedResult of PageDefinitions.
  Throws
    `ToolsException`

### getPageDefinition

    PageDefinition getPageDefinition(PageDefinitionId id,
                                     ResourceContext context)
                                     throws ToolsException

  Get a specific page definition object.

  Parameters
    `id` - the ID of the page definition to retrieve
    `context` - the resource context
  Returns
    A PageDefinition object.
  Throws
    `ToolsException`

### getPageDefinition

    PageDefinition getPageDefinition(String definitionLabel,
                                     String webAppName,
                                     ResourceContext context)
                                     throws ToolsException

  Getter for returning a single `PageDefinition` object given a supplied page definition label.

  Parameters
    `definitionLabel` - the unique page definition identifier.
    `webAppName` - the webapp this page is scoped to.
    `context` - the resource context.
  Returns
    a `PageDefinition` object fully populated and internationalized, otherwise, `null>/code> if the object does not exist.`
  Throws
    `ToolsException`
  See Also
    `PageDefinition`

### getPageView

    PageView getPageView(PageDefinitionId id,
                         ResourceContext context)
                         throws ToolsException

  Gets a deep immutable view of a page view.

  Parameters
    `id` - the ID of the page definition to retrieve a view of
    `context` - the resource context
  Returns
    A PageView object.
  Throws
    `ToolsException`

### getPageView

    PageView getPageView(String definitionLabel,
                         String webAppName,
                         ResourceContext context)
                         throws ToolsException

  Returns the `PageView` of the specified page. BookView's include the object's children unlike instances and definitions.

  Parameters
    `definitionLabel` - the unique page definition identifier.
    `webAppName` - the webapp this page is scoped to.
    `context` - the resource context.
  Returns
    a PageView object. (immutable "deep" view of a page)
  Throws
    `ToolsException`

### deletePageDefinition

    void deletePageDefinition(PageDefinitionId id,
                              boolean cascadeDelete,
                              ResourceContext context)
                              throws ToolsException,
                                     NotEntitledException,
                                     ObjectNotFoundException,
                                     ObjectInUseException

  Deletes a PageDefinition This method attempts to clean up all related security policies on the deleted Page. To achieve this, the current web app MUST be set in the `ResourceContext` via the setWebApp() method, otherwise a `NoWebAppFoundException` is thrown.

  Parameters
    `id` - the ID of the page to delete
    `cascadeDelete` - True enabled cascading deletes.
    `context` - the resource context
  Throws
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`
    `ObjectInUseException`

### createPageDefinition

    PageDefinition createPageDefinition(String title,
                                        String description,
                                        LayoutDefinitionId layoutId,
                                        boolean isPublic,
                                        String webapp,
                                        ResourceContext context)
                                        throws NotEntitledException,
                                               MissingDataException,
                                               ToolsException

  The method is used to create a page definition.

  Parameters
    `title` - The title of the page definition.
    `description` - The description of the page definition.
    `layoutId` - The layout to assign the page definition.
    `isPublic` - true if the page is to be public.
    `webapp` - The webApp assigned to the page.
    `context` - the resource context
  Returns
    The newly created PageDefinition.
  Throws
    `NotEntitledException`
    `MissingDataException`
    `ToolsException`

### createPageDefinition

    PageDefinition createPageDefinition(String title,
                                        String description,
                                        LayoutDefinitionId layoutId,
                                        boolean isHidden,
                                        boolean isPublic,
                                        String webapp,
                                        ResourceContext context)
                                        throws NotEntitledException,
                                               MissingDataException,
                                               ToolsException

  The method is used to create a page definition.

  Parameters
    `title` - The title of the page definition.
    `description` - The description of the page definition.
    `layoutId` - The layout to assign the page definition.
    `isHidden` - true if the page is to be hidden
    `isPublic` - true if the page is to be public.
    `webapp` - The webApp assigned to the page.
    `context` - the resource context
  Returns
    The newly created PageDefinition.
  Throws
    `NotEntitledException`
    `MissingDataException`
    `ToolsException`

### updatePageDefinitionLayout

    void updatePageDefinitionLayout(LayoutDefinitionId layoutId,
                                    PageDefinitionId pageId,
                                    ResourceContext context)
                                    throws ToolsException,
                                           NotEntitledException,
                                           ObjectNotFoundException

  Updates the layout of the page definition.

  Parameters
    `layoutId` - The layout id to update
    `pageId` - the ID of the page.
    `context` - the resource context
  Throws
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`

### updatePageDefinitionTheme

    void updatePageDefinitionTheme(ThemeDefinitionId themeId,
                                   PageDefinitionId pageId,
                                   ResourceContext context)
                                   throws ToolsException,
                                          NotEntitledException,
                                          ObjectNotFoundException

  Updates the page definition's theme.

  Parameters
    `themeId` - The new theme id.
    `pageId` - the ID of the page.
    `context` - the resource context
  Throws
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`

### updatePageDefinitionTheme

    void updatePageDefinitionTheme(ThemeDefinitionId themeId,
                                   PageDefinitionId pageId,
                                   boolean isHidden,
                                   ResourceContext context)
                                   throws ToolsException,
                                          NotEntitledException,
                                          ObjectNotFoundException

  Updates the page definition's theme.

  Parameters
    `themeId` - The new theme id.
    `pageId` - the ID of the page.
    `isHidden` - is the page viewable
    `context` - the resource context
  Throws
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`

### addPlaceableToPageDefinition

    void addPlaceableToPageDefinition(PlaceableDefinitionId placeableId,
                                      int placeholder,
                                      int position,
                                      PageDefinitionId pageId,
                                      ResourceContext context)
                                      throws ToolsException,
                                             DuplicateObjectException,
                                             IllegalDependencyException,
                                             NotEntitledException,
                                             MissingDataException,
                                             ObjectNotFoundException

  Adds an existing book or portlet to the specified page definition.

  Parameters
    `placeableId` - The id of the book or portlet to add.
    `placeholder` - The index of the placeholder on the page.
    `position` - The position of the placeable within the placeholder.
    `pageId` - the ID of the page to add the placeable to.
    `context` - the resource context
  Throws
    `ToolsException`
    `DuplicateObjectException`
    `IllegalDependencyException`
    `NotEntitledException`
    `MissingDataException`
    `ObjectNotFoundException`

### isPlaceholderLocked

    boolean isPlaceholderLocked(int placeholder,
                                PageDefinitionId pageId,
                                String webApp,
                                ResourceContext context)
                                throws ToolsException

  Returns true if the placeholder has an update security policy on it.

  Parameters
    `placeholder` - The index of the placeholder on the page.
    `pageId` - the ID of the page
    `webApp` - the web application name
    `context` - the resource context
  Returns
    true if the placholder has an update security policy set.
  Throws
    `ToolsException`

### setPlaceholderLock

    void setPlaceholderLock(int placeholder,
                            PageDefinitionId pageId,
                            String webApp,
                            ResourceContext context)
                            throws ToolsException,
                                   com.bea.p13n.entitlements.common.PolicyCreateException,
                                   com.bea.p13n.entitlements.common.PolicyExistsException

  Creates an update secuity policy on a placholder.

  Parameters
    `placeholder` - The index of the placeholder on the page.
    `pageId` - the ID of the page
    `webApp` - the web application name
    `context` - the resource context
  Throws
    `ToolsException`
    `com.bea.p13n.entitlements.common.PolicyCreateException`
    `com.bea.p13n.entitlements.common.PolicyExistsException`

### removePlaceholderLock

    void removePlaceholderLock(int placeholder,
                               PageDefinitionId pageId,
                               String webApp,
                               ResourceContext context)
                               throws ToolsException,
                                      com.bea.p13n.entitlements.common.PolicyRemoveException,
                                      com.bea.p13n.entitlements.common.PolicyNotFoundException

  Removes the update security policy on a placeholder.

  Parameters
    `placeholder` - The index of the placeholder on the page.
    `pageId` - the ID of the page
    `webApp` - the web application name
    `context` - the resource context
  Throws
    `ToolsException`
    `com.bea.p13n.entitlements.common.PolicyRemoveException`
    `com.bea.p13n.entitlements.common.PolicyNotFoundException`

### movePlaceableInPageDefinition

    void movePlaceableInPageDefinition(PlaceableInstanceId placeableId,
                                       int placeholder,
                                       int position,
                                       PageDefinitionId pageId,
                                       ResourceContext context)
                                       throws ToolsException,
                                              NotEntitledException,
                                              ObjectNotFoundException

  Used to change the position of a book or portlet in a page.

  Parameters
    `placeableId` - The id of the book or portlet to move.
    `placeholder` - The index of the placeholder on the page.
    `position` - The updated position of the book or portlet
    `pageId` - the ID of the page
    `context` - the resource context
  Throws
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`

### removePlaceableFromPageDefinition

    void removePlaceableFromPageDefinition(PlaceableInstanceId placeableId,
                                           PageDefinitionId pageId,
                                           ResourceContext context)
                                           throws ToolsException,
                                                  NotEntitledException,
                                                  ObjectNotFoundException

  Removes a book or portlet from a page definition.

  Parameters
    `placeableId` - The id of the book or portlet to remove from a page.
    `pageId` - the ID of the page
    `context` - the resource context
  Throws
    `ToolsException`
    `NotEntitledException`
    `ObjectNotFoundException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2008, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.